# Progress Control

(PHP 7, UI 0.9.9)

## Introduction

A Progress control is a familiar Progress bar: It represents progress as a percentage, with a possible range of 0 to 100 (inclusive).

## Class synopsis

UI\Controls\Progress extends UI\Control {
/* Methods */
public getValue ( void ) : int
public setValue ( int `$value` )
/* Inherited methods */
public UI\Control::destroy ( void )
public UI\Control::disable ( void )
public UI\Control::enable ( void )
public UI\Control::getParent ( void ) : UI\Control
public UI\Control::getTopLevel ( void ) : int
public UI\Control::hide ( void )
public UI\Control::isEnabled ( void ) : bool
public UI\Control::isVisible ( void ) : bool
public UI\Control::setParent ( UI\Control `$parent` )
public UI\Control::show ( void )
}

## Table of Contents

- UI\Controls\Progress::getValue — Get Value
- UI\Controls\Progress::setValue — Set Value